Get a subreddit's posts by name or URL. Sort by hot, new, top, rising or controversial, with a time window (past hour to all time) for top and controversial, and optionally only posts with one flair. Returns title, text, author, date, score, upvote ratio, comment count, flair, shared link, video and gallery links and NSFW flags for each post, 25 per page, up to about 1,000 posts. Works for NSFW subreddits.
curl "https://apidirect.io/v1/reddit/subreddit/posts?subreddit=AskReddit&sort_by=top&posted_ago=7d&pages=2" \
-H "X-API-Key: YOUR_API_KEY"
{
"posts": [
{
"post_id": "1x3uinu",
"title": "What previously glorified careers are struggling now?",
"url": "https://www.reddit.com/r/AskReddit/comments/1x3uinu/what_previously_glorified_careers_are_struggling/",
"date": "2026-10-12 06:28:49",
"author": "JAMIEISSLEEPWOKEN",
"author_url": "https://www.reddit.com/user/JAMIEISSLEEPWOKEN",
"source": "Reddit",
"domain": "reddit.com",
"snippet": "What previously glorified careers are struggling now?",
"subreddit": "AskReddit",
"upvotes": 10146,
"upvote_ratio": 0.96,
"comments": 5366,
"crossposts": 6,
"flair": "",
"link_url": "",
"thumbnail": "",
"is_video": false,
"nsfw": false,
"spoiler": false,
"locked": false,
"stickied": false,
"video_url": "",
"video_hls_url": "",
"images": [],
"sentiment": {
"emotions": {
"joy": 40,
"trust": 55,
"fear": 0,
"surprise": 10,
"sadness": 0,
"disgust": 0,
"anger": 0,
"anticipation": 30
},
"dominant_emotion": "trust",
"emotional_intensity": 5,
"polarity": "positive"
}
}
],
"subreddit": "AskReddit",
"sort_by": "top",
"pages": 2,
"count": 50
}